IEEE80211_CREATE_TPT(9)

NAME
ieee80211_create_tpt_led_trigger - create throughput LED trigger

SYNOPSIS

char * ieee80211_create_tpt_led_trigger(struct ieee80211_hw * hw, unsigned int flags, const struct ieee80211_tpt_blink * blink_table, unsigned int blink_table_len);

ARGUMENTS

hw
    the hardware to create the trigger for

flags
    trigger flags, see enum ieee80211_tpt_led_trigger_flags

blink_table
    the blink table -- needs to be ordered by throughput

blink_table_len
    size of the blink table

RETURN

NULL (in case of error, or if no LED triggers are configured) or the name of the new trigger.

NOTE

This function must be called before ieee80211_register_hw.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT